// Première déclaration de classe

class Personne {
    nom:string;
    prenom:string;
    age?:number;

    constructor( nom:string, prenom:string );
    constructor( nom : string,prenom:string,age:number );
    constructor( nom :string, prenom:string,age?:number ) {
        this.nom = nom;
        this.prenom = prenom;
        if ( age !== undefined )
            this.age = age;
    }

    bonjour():void {
        console.log( `Bonjour ${this.nom} ${this.prenom} ${this.age ?? "??"}` );
    }
}

const auteur : Personne = new Personne( "brillant", "alexandre" );
auteur.bonjour();
const auteur2 : Personne = new Personne( "brillant", "alexandre", 35 );
auteur2.bonjour();



